div.directory {
    margin: 48px;
    display: grid;
    grid-template-columns: 332px auto;
    grid-gap: 1px;
    border-radius: 16px;
    overflow: hidden;
}

div.directory div.filters {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
    background: var(--neutral_1);
}

div.directory div.filters h1 {
    position: relative;
    text-transform: uppercase;
    font-size: 12px;
    letter-spacing: 0.5px;
    line-height: 20px;
    color: var(--tx_contrast);
    margin-bottom: 24px;
    font-weight: 500;
    display: flex;
    gap: 4px;
    align-items: center;
    justify-content: space-between;
}
div.directory div.filters h1:after {
    width: 100%;
    height: 1px;
    display: block;
    background: var(--gradient);
    content: " ";
    position: absolute;
    top: 24px;
}
div.directory div.filters div.button-group {
    padding: 12px;
    border: var(--neutral_2) 1px solid;
    border-radius: 16px;
}

div.directory div.filters div.button-group > div {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 8px;
}
div.directory div.filters div.button-group[data-filter-group="job"] > div,
div.directory div.filters div.button-group[data-filter-group="statut"] > div,
div.directory div.filters div.button-group[data-filter-group="origines"] > div {
    grid-template-columns: 1fr 1fr;
}

div.directory div.filters div.button-group > div > .button {
    font-size: 10px;
    letter-spacing: 0.5px;
    font-weight: 600;
    color: var(--tx_contrast);
    background-color: var(--neutral_2);
    border: 1px solid var(--neutral_2);
    border-radius: 16px;
    padding: 8px !important;
    text-align: center !important;
    display: flex;
    align-items: center;
    justify-content: center;
}
div.directory div.filters div.button-group > div > .button.is-checked {
    border: 1px solid var(--tx_contrast);
    position: relative;
    color: var(--tx_contrast) !important;
}
div.directory div.filters div.button-group > div > .button:after {
    opacity: 0;
    transition: var(--transi);
    background: var(--gradient);
    z-index: 1;
    content: "";
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    border-radius: 16px !important;
    padding: 1px;
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: xor;
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
}
div.directory div.filters div.button-group > div > .button.is-checked::after{ opacity: 1; }
div.directory div.filters div.button-group > div > .button.is-checked:hover::after{ opacity: 1; background: var(--tx_contrast); }

div.directory div.filters div.button-group > div > .button[data-filter=".Dojin"] { color: var(--doj) !important; }
div.directory div.filters div.button-group > div > .button.is-checked[data-filter=".Dojin"]::after {  background: var(--doj); }
div.directory div.filters div.button-group > div > .button[data-filter=".Fugi"] { color: var(--fug) !important; }
div.directory div.filters div.button-group > div > .button.is-checked[data-filter=".Fugi"]::after {  background: var(--fug); }
div.directory div.filters div.button-group > div > .button[data-filter=".Hiisa"] { color: var(--hii) !important; }
div.directory div.filters div.button-group > div > .button.is-checked[data-filter=".Hiisa"]::after {  background: var(--hii); }
div.directory div.filters div.button-group > div > .button[data-filter=".Raiyo"] { color: var(--rai) !important; }
div.directory div.filters div.button-group > div > .button.is-checked[data-filter=".Raiyo"]::after {  background: var(--rai); }
div.directory div.filters div.button-group > div > .button[data-filter=".Suisei"] { color: var(--sui) !important; }
div.directory div.filters div.button-group > div > .button.is-checked[data-filter=".Suisei"]::after {  background: var(--sui); }


div.grid-container {
    background: var(--transp_1);
    padding: 16px;
    width: 100%;
    height: auto;
    min-height: -webkit-fill-available;
}
div.grid#grid {
    width: 100%;
    height: 100%;
}
.grid:after {
  content: '';
  display: block;
  clear: both;
}

.grid-item,
.grid-sizer { 
    width: calc((100% - 32px) / 3) !important;
}
.gutter-sizer { width: 16px; }

@media screen and (max-width: 1259px) {
  .grid-item,
  .grid-sizer { 
    width: calc((100% - 16px) / 2) !important;
  }
}

div.grid-item.Dojin { --co2: var(--doj); }
div.grid-item.Fugi { --co2: var(--fug); }
div.grid-item.Hiisa { --co2: var(--hii); }
div.grid-item.Raiyo { --co2: var(--rai); }
div.grid-item.Suisei { --co2: var(--sui); }


#grid > div.grid-item {
    float: left;
    display: flex;
    height: auto !important;
    margin-bottom: 16px;
}

#grid > div.grid-item > .container {
    background: var(--bg1);
    padding: 8px;
    position: relative;
    border-radius: 16px;
    display: inline-flex;
    flex-direction: column;
    gap: 8px;
    font-size: 13px;
    z-index: 4;
    color: var(--tx_content);
}
#grid > div.grid-item > .container:before {
    content: "";
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    border-radius: 16px;
    z-index: 1;
    padding: 1px;
    background: linear-gradient(130deg, var(--co2), var(--neutral_1) 30%, var(--neutral_1) 70%, var(--co2));
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: xor;
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
}

div.grid-item > .container > .avatar {
    cursor: pointer;
    position: relative;
    display: block;
    border-radius: 8px;
    background: transparent;
    border: none;
    box-shadow: none;
    width: 100%;
    height: auto;
    margin-bottom: 2px;
}
div.grid-item > .container > .avatar > img.image {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
    object-position: center;
    filter: grayscale(1);
    border-radius: 8px;
    transition: var(--transi);
    position: relative;
    z-index: 1;
}
#grid > div.grid-item:hover > .container > .avatar > img.image { filter: grayscale(0); }

div.grid-item > .container > .avatar > .credits {
    position: absolute;
    transition: var(--transi);
    z-index: 1;
    bottom: -20px;
    right: 4px;
    display: inline-block;
    background: var(--bg1);
    padding: 2px 6px;
    border-radius: 4px 4px 0 0;
    color: var(--tx_contrast);
    font-size: 10px;
    letter-spacing: 0.5px;
    line-height: 16px;
    text-transform: uppercase;
}
div.grid-item > .container > .avatar:hover > .credits { bottom: 0px; }

div.grid-item > .container > span.nom {
    padding: 0 4px;
}
div.grid-item > .container > span.nom > span:first-child {
    font-size: 16px;
    font-family: var(--special-font);
    color: var(--tx_contrast);
    line-height: 24px;
}
div.grid-item > .container > span.nom > span:last-child {
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
}

div.grid-item > .container > span.tags {
    display: flex;
    flex-wrap: wrap;
    row-gap: 4px;
    column-gap: 4px;
    padding: 0 4px;
    margin: 4px 0 8px;
}
div.grid-item > .container > span.tags > span {
    display: inline-flex;
    gap: 8px;
    align-items: center;
    position: relative;
}
div.grid-item > .container > span.tags > span.location,
div.grid-item > .container > span.tags > span.promo {
    width: fit-content;
    font-size: 10px;
    gap: 4px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
    background: var(--neutral_2);
    border-radius: 4px;
    padding: 2px 6px;
}
div.grid-item > .container > span.tags > span.job,
div.grid-item > .container > span.tags > span.parti {
    font-size: 13px;
    line-height: 20px;
    color: rgba(var(--tx_content_rgb),0.8);
    align-items: flex-start;
    width: 100%;
    padding: 4px 0;
    display: grid !important;
    grid-template-columns: 16px auto !important;
}
div.grid-item > .container > span.tags > span.job ion-icon,
div.grid-item > .container > span.tags > span.parti ion-icon {
    width: 16px;
    height: 12px;
    margin: 4px 0;
    color: var(--tx_contrast);
}
div.grid-item > .container > span.tags > span.parti:not(:empty):after, 
div.grid-item > .container > span.tags > span.job:after {
    display: block;
    width: 100%;
    height: 1px;
    content: " ";
    background: var(--neutral_2);
    position: absolute;
    bottom: -4px;
}
div.grid-item > .container > span.tags > span.parti:empty { display: none !important; }
div.grid-item > .container > span.tags > span.job {
    margin-top: 4px;
}

div.grid-item > .container > span.liens {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1px;
    border-radius: 8px;
    overflow: hidden;
    position: relative;
    z-index: 4;
    margin-top: 4px;
}
div.grid-item > .container > span.liens > a {
    width: -webkit-fill-available;
    display: flex;
    gap: 8px;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 4px;
    background-color: var(--neutral_2);
    font-size: 14px;
    line-height: 20px;
    transition: var(--transi);
    cursor: pointer;
}
div.grid-item > .container > span.liens > a:hover { background-color: var(--co2); }
div.grid-item > .container > span.liens > a > span {
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    line-height: 20px;
    font-weight: 500;
}
